/* src/config.h.in.  Generated from configure.ac by autoheader.  */

/* Set to 1 if the compile is GNU GCC. */
#ifdef __GNUC__
# define COMPILER_IS_GCC 1
#endif

/* Target processor clips on negative float to int conversion. */
#cmakedefine CPU_CLIPS_NEGATIVE @CPU_CLIPS_NEGATIVE@

/* Target processor clips on positive float to int conversion. */
#cmakedefine CPU_CLIPS_POSITIVE @CPU_CLIPS_POSITIVE@

/* Target processor is big endian. */
#define CPU_IS_BIG_ENDIAN @CPU_IS_BIG_ENDIAN@

/* Target processor is little endian. */
#define CPU_IS_LITTLE_ENDIAN @CPU_IS_LITTLE_ENDIAN@

/* Set to 1 to enable experimental code. */
#cmakedefine ENABLE_EXPERIMENTAL_CODE @ENABLE_EXPERIMENTAL_CODE@

/* Define to 1 if you have the <alsa/asoundlib.h> header file. */
#cmakedefine HAVE_ALSA_ASOUNDLIB_H @HAVE_ALSA_ASOUNDLIB_H@

/* Define to 1 if you have the <byteswap.h> header file. */
#cmakedefine HAVE_BYTESWAP_H @HAVE_BYTESWAP_H@

/* Define to 1 if you have the `calloc' function. */
#cmakedefine HAVE_CALLOC @HAVE_CALLOC@

/* Define to 1 if you have the `ceil' function. */
#cmakedefine HAVE_CEIL @HAVE_CEIL@

/* Set to 1 if S_IRGRP is defined. */
#cmakedefine HAVE_DECL_S_IRGRP @HAVE_DECL_S_IRGRP@

/* Define to 1 if you have the <dlfcn.h> header file. */
#cmakedefine HAVE_DLFCN_H @HAVE_DLFCN_H@

/* Define to 1 if you have the <endian.h> header file. */
#cmakedefine HAVE_ENDIAN_H @HAVE_ENDIAN_H@

/* Will be set to 1 if flac, ogg and vorbis are available. */
#cmakedefine HAVE_EXTERNAL_LIBS @HAVE_EXTERNAL_LIBS@

/* Set to 1 if the compile supports the struct hack. */
#cmakedefine HAVE_FLEXIBLE_ARRAY @HAVE_FLEXIBLE_ARRAY@

/* Define to 1 if you have the `floor' function. */
#cmakedefine HAVE_FLOOR @HAVE_FLOOR@

/* Define to 1 if you have the `fmod' function. */
#cmakedefine HAVE_FMOD @HAVE_FMOD@

/* Define to 1 if you have the `free' function. */
#cmakedefine HAVE_FREE @HAVE_FREE@

/* Define to 1 if you have the `fstat' function. */
#cmakedefine HAVE_FSTAT @HAVE_FSTAT@

/* Define to 1 if you have the `fsync' function. */
#cmakedefine HAVE_FSYNC @HAVE_FSYNC@

/* Define to 1 if you have the `ftruncate' function. */
#cmakedefine HAVE_FTRUNCATE @HAVE_FTRUNCATE@

/* Define to 1 if you have the `getpagesize' function. */
#cmakedefine HAVE_GETPAGESIZE @HAVE_GETPAGESIZE@

/* Define to 1 if you have the `gettimeofday' function. */
#cmakedefine HAVE_GETTIMEOFDAY @HAVE_GETTIMEOFDAY@

/* Define to 1 if you have the `gmtime' function. */
#cmakedefine HAVE_GMTIME @HAVE_GMTIME@

/* Define to 1 if you have the `gmtime_r' function. */
#cmakedefine HAVE_GMTIME_R @HAVE_GMTIME_R@

/* Define to 1 if you have the <inttypes.h> header file. */
#cmakedefine HAVE_INTTYPES_H @HAVE_INTTYPES_H@

/* Define to 1 if you have the `m' library (-lm). */
#cmakedefine HAVE_LIBM @HAVE_LIBM@

/* Define to 1 if you have the <locale.h> header file. */
#cmakedefine HAVE_LOCALE_H @HAVE_LOCALE_H@

/* Define to 1 if you have the `localtime' function. */
#cmakedefine HAVE_LOCALTIME @HAVE_LOCALTIME@

/* Define to 1 if you have the `localtime_r' function. */
#cmakedefine HAVE_LOCALTIME_R @HAVE_LOCALTIME_R@

/* Define if you have C99's lrint function. */
#cmakedefine HAVE_LRINT @HAVE_LRINT@

/* Define if you have C99's lrintf function. */
#cmakedefine HAVE_LRINTF @HAVE_LRINTF@

/* Define to 1 if you have the `lseek' function. */
#cmakedefine HAVE_LSEEK @HAVE_LSEEK@

/* Define to 1 if you have the `malloc' function. */
#cmakedefine HAVE_MALLOC @HAVE_MALLOC@

/* Define to 1 if you have the <memory.h> header file. */
#cmakedefine HAVE_MEMORY_H @HAVE_MEMORY_H@

/* Define to 1 if you have the `mmap' function. */
#cmakedefine HAVE_MMAP @HAVE_MMAP@

/* Define to 1 if you have the `open' function. */
#cmakedefine HAVE_OPEN @HAVE_OPEN@

/* Define to 1 if you have the `pread' function. */
#cmakedefine HAVE_PREAD @HAVE_PREAD@

/* Define to 1 if you have the `pwrite' function. */
#cmakedefine HAVE_PWRITE @HAVE_PWRITE@

/* Define to 1 if you have the `read' function. */
#cmakedefine HAVE_READ @HAVE_READ@

/* Define to 1 if you have the `realloc' function. */
#cmakedefine HAVE_REALLOC @HAVE_REALLOC@

/* Define to 1 if you have the `setlocale' function. */
#cmakedefine HAVE_SETLOCALE @HAVE_SETLOCALE@

/* Define to 1 if you have the `snprintf' function. */
#cmakedefine HAVE_SNPRINTF @HAVE_SNPRINTF@

/* Set to 1 if you have libsqlite3. */
#cmakedefine HAVE_SQLITE3 @HAVE_SQLITE3@

/* Define to 1 if the system has the type `ssize_t'. */
#cmakedefine HAVE_SSIZE_T @HAVE_SSIZE_T@

/* Define to 1 if you have the <stdint.h> header file. */
#cmakedefine HAVE_STDINT_H @HAVE_STDINT_H@

/* Define to 1 if you have the <stdlib.h> header file. */
#cmakedefine HAVE_STDLIB_H @HAVE_STDLIB_H@

/* Define to 1 if you have the <strings.h> header file. */
#cmakedefine HAVE_STRINGS_H @HAVE_STRINGS_H@

/* Define to 1 if you have the <string.h> header file. */
#cmakedefine HAVE_STRING_H @HAVE_STRING_H@

/* Define to 1 if you have the <sys/stat.h> header file. */
#cmakedefine HAVE_SYS_STAT_H @HAVE_SYS_STAT_H@

/* Define to 1 if you have the <sys/time.h> header file. */
#cmakedefine HAVE_SYS_TIME_H @HAVE_SYS_TIME_H@

/* Define to 1 if you have the <sys/types.h> header file. */
#cmakedefine HAVE_SYS_TYPES_H @HAVE_SYS_TYPES_H@

/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
#cmakedefine HAVE_SYS_WAIT_H @HAVE_SYS_WAIT_H@

/* Define to 1 if you have the <unistd.h> header file. */
#cmakedefine HAVE_UNISTD_H @HAVE_UNISTD_H@

/* Define to 1 if you have the `vsnprintf' function. */
#cmakedefine HAVE_VSNPRINTF @HAVE_VSNPRINTF@

/* Define to 1 if you have the `write' function. */
#cmakedefine HAVE_WRITE @HAVE_WRITE@

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#cmakedefine LT_OBJDIR @LT_OBJDIR@

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
#cmakedefine NO_MINUS_C_MINUS_O @NO_MINUS_C_MINUS_O@

/* Set to 1 if compiling for Win32 */
#ifdef _WIN32
# define OS_IS_WIN32 1
#endif

/* Name of package */
#cmakedefine PACKAGE @PACKAGE@

/* Define to the address where bug reports for this package should be sent. */
#cmakedefine PACKAGE_BUGREPORT @PACKAGE_BUGREPORT@

/* Define to the full name of this package. */
#cmakedefine PACKAGE_NAME @PACKAGE_NAME@

/* Define to the full name and version of this package. */
#cmakedefine PACKAGE_STRING @PACKAGE_STRING@

/* Define to the one symbol short name of this package. */
#cmakedefine PACKAGE_TARNAME @PACKAGE_TARNAME@

/* Define to the home page for this package. */
#cmakedefine PACKAGE_URL @PACKAGE_URL@

/* Define to the version of this package. */
#cmakedefine PACKAGE_VERSION @PACKAGE_VERSION@

/* Set to maximum allowed value of sf_count_t type. */
#cmakedefine SF_COUNT_MAX @SF_COUNT_MAX@

/* The size of `double', as computed by sizeof. */
#cmakedefine SIZEOF_DOUBLE @SIZEOF_DOUBLE@

/* The size of `float', as computed by sizeof. */
#cmakedefine SIZEOF_FLOAT @SIZEOF_FLOAT@

/* The size of `int', as computed by sizeof. */
#cmakedefine SIZEOF_INT @SIZEOF_INT@

/* The size of `int64_t', as computed by sizeof. */
#cmakedefine SIZEOF_INT64_T @SIZEOF_INT64_T@

/* The size of `loff_t', as computed by sizeof. */
#cmakedefine SIZEOF_LOFF_T @SIZEOF_LOFF_T@

/* The size of `long', as computed by sizeof. */
#cmakedefine SIZEOF_LONG @SIZEOF_LONG@

/* The size of `long long', as computed by sizeof. */
#cmakedefine SIZEOF_LONG_LONG @SIZEOF_LONG_LONG@

/* The size of `off64_t', as computed by sizeof. */
#cmakedefine SIZEOF_OFF64_T @SIZEOF_OFF64_T@

/* The size of `off_t', as computed by sizeof. */
#cmakedefine SIZEOF_OFF_T @SIZEOF_OFF_T@

/* Set to sizeof (long) if unknown. */
#cmakedefine SIZEOF_SF_COUNT_T @SIZEOF_SF_COUNT_T@

/* The size of `short', as computed by sizeof. */
#cmakedefine SIZEOF_SHORT @SIZEOF_SHORT@

/* The size of `size_t', as computed by sizeof. */
#cmakedefine SIZEOF_SIZE_T @SIZEOF_SIZE_T@

/* The size of `ssize_t', as computed by sizeof. */
#cmakedefine SIZEOF_SSIZE_T @SIZEOF_SSIZE_T@

/* The size of `void*', as computed by sizeof. */
#cmakedefine SIZEOF_VOIDP @SIZEOF_VOIDP@

/* The size of `wchar_t', as computed by sizeof. */
#cmakedefine SIZEOF_WCHAR_T @SIZEOF_WCHAR_T@

/* Define to 1 if you have the ANSI C header files. */
#cmakedefine STDC_HEADERS @STDC_HEADERS@

/* Set to long if unknown. */
#cmakedefine TYPEOF_SF_COUNT_T @TYPEOF_SF_COUNT_T@

/* Set to 1 to use the native windows API */
#cmakedefine USE_WINDOWS_API @USE_WINDOWS_API@

/* Version number of package */
#cmakedefine VERSION @VERSION@

/* Set to 1 if windows DLL is being built. */
#cmakedefine WIN32_TARGET_DLL @WIN32_TARGET_DLL@

/* Target processor is big endian. */
#cmakedefine WORDS_BIGENDIAN @WORDS_BIGENDIAN@

/* Number of bits in a file offset, on hosts where this is settable. */
#cmakedefine _FILE_OFFSET_BITS @_FILE_OFFSET_BITS@

/* Define to make fseeko etc. visible, on some hosts. */
#cmakedefine _LARGEFILE_SOURCE @_LARGEFILE_SOURCE@

/* Define for large files, on AIX-style hosts. */
#cmakedefine _LARGE_FILES @_LARGE_FILES@

/* Set to 1 to use C99 printf/snprintf in MinGW. */
#cmakedefine __USE_MINGW_ANSI_STDIO @__USE_MINGW_ANSI_STDIO@

#ifdef _MSC_VER
#define inline __inline
#else
#define inline __inline__
#endif
